Bug 206579 - restorecon segfaults when passed non-existent file
restorecon segfaults when passed non-existent file
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: 207034 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-09-15 00:20 EDT by Bill Nottingham
Modified: 2014-03-16 23:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-21 10:51:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-09-15 00:20:04 EDT
Description of problem:

# restorecon /sgdsfsuwyrqrw
Segmentation fault

Version-Release number of selected component (if applicable):

Comment 1 Daniel Walsh 2006-09-18 15:36:19 EDT
Fixed in policycoreutils-1.30.29-2

I have no idea what caused it but a rebuild of the package seems to have cleared
it up.
Comment 2 Bill Nottingham 2006-09-18 16:58:23 EDT
*** Bug 207034 has been marked as a duplicate of this bug. ***
Comment 3 Valdis Kletnieks 2006-09-19 13:38:18 EDT
Looking at the backtrace:

(gdb) run /etc/blkid.tab
Starting program: /sbin/restorecon /etc/blkid.tab

Program received signal SIGSEGV, Segmentation fault.
0xb7efb7ab in __fprintf_chk () from /lib/libc.so.6
(gdb) where
#0  0xb7efb7ab in __fprintf_chk () from /lib/libc.so.6
#1  0x080490c4 in restore (filename=<value optimized out>) at restorecon.c:168
#2  0x080495ae in process (buf=0xbfdb27b4 "/etc/blkid.tab") at restorecon.c:347
#3  0x080499fa in main (argc=2, argv=Cannot access memory at address 0xffffffbc
) at restorecon.c:442
#4  0xb7e30f2c in __libc_start_main () from /lib/libc.so.6
#5  0x08048c51 in _start ()

That "value optimized out" is suspicious - quite possibly dependent on the exact
compiler release and flags.  Was the -2 package built against the same compiler
as -1? (I see a gcc update landed in rawhide in the last 48 hours or so....)

Note You need to log in before you can comment on or make changes to this bug.